------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-12-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(252, 284)
CppScriptMgr:ShakeScrEffect(5)
local Player_1 = CppScriptMgr:AddPlayer(146, 252, 284, "Nightfiend", 0, 0)
Player_1:SetZoomPercent(50)
Player_1:SetDir(7)
local Effect_1 = CppScriptMgr:AddEffect("MMS_MFDL", 252, 284, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_2 = CppScriptMgr:AddEffect("BlueChixv", 252, 284, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(520)
ChangeNpcZoom(Player_1, 50, 200, 5, 20)
CppScriptMgr:WaitMilSec(490)
Player_1:Say("Once I absorb the power from this fragment, I will become stronger!", 1500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1470)
local effect_0 = CppScriptMgr:AddEffect("ride_screen", 252, 284, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(520)
Player_1:Say("Let`s see who dares to stop me!", 1500)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(2470)